scala

# Console

###
Related Doc: package scala

#### object Console extends DeprecatedConsole with AnsiColor

Implements functionality for printing Scala values on the terminal as well as reading specific values. Also defines constants for marking up text on ANSI terminals.

Source
  Console.scala
Version

  1.0, 03/09/2003

Linear Supertypes
AnsiColor, DeprecatedConsole, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Console
2. AnsiColor
3. DeprecatedConsole
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final val BLACK: String("\033[30m")

   Foreground color for ANSI black

   Foreground color for ANSI black

   Definition Classes
     AnsiColor

5. #### final val BLACK_B: String("\033[40m")

   Background color for ANSI black

   Background color for ANSI black

   Definition Classes
     AnsiColor

6. #### final val BLINK: String("\033[5m")

   ANSI blink

   ANSI blink

   Definition Classes
     AnsiColor

7. #### final val BLUE: String("\033[34m")

   Foreground color for ANSI blue

   Foreground color for ANSI blue

   Definition Classes
     AnsiColor

8. #### final val BLUE_B: String("\033[44m")

   Background color for ANSI blue

   Background color for ANSI blue

   Definition Classes
     AnsiColor

9. #### final val BOLD: String("\033[1m")

   ANSI bold

   ANSI bold

   Definition Classes
     AnsiColor

10. #### final val CYAN: String("\033[36m")

    Foreground color for ANSI cyan

    Foreground color for ANSI cyan

    Definition Classes
      AnsiColor

11. #### final val CYAN_B: String("\033[46m")

    Background color for ANSI cyan

    Background color for ANSI cyan

    Definition Classes
      AnsiColor

12. #### final val GREEN: String("\033[32m")

    Foreground color for ANSI green

    Foreground color for ANSI green

    Definition Classes
      AnsiColor

13. #### final val GREEN_B: String("\033[42m")

    Background color for ANSI green

    Background color for ANSI green

    Definition Classes
      AnsiColor

14. #### final val INVISIBLE: String("\033[8m")

    ANSI invisible

    ANSI invisible

    Definition Classes
      AnsiColor

15. #### final val MAGENTA: String("\033[35m")

    Foreground color for ANSI magenta

    Foreground color for ANSI magenta

    Definition Classes
      AnsiColor

16. #### final val MAGENTA_B: String("\033[45m")

    Background color for ANSI magenta

    Background color for ANSI magenta

    Definition Classes
      AnsiColor

17. #### final val RED: String("\033[31m")

    Foreground color for ANSI red

    Foreground color for ANSI red

    Definition Classes
      AnsiColor

18. #### final val RED_B: String("\033[41m")

    Background color for ANSI red

    Background color for ANSI red

    Definition Classes
      AnsiColor

19. #### final val RESET: String("\033[0m")

    Reset ANSI styles

    Reset ANSI styles

    Definition Classes
      AnsiColor

20. #### final val REVERSED: String("\033[7m")

    ANSI reversed

    ANSI reversed

    Definition Classes
      AnsiColor

21. #### final val UNDERLINED: String("\033[4m")

    ANSI underlines

    ANSI underlines

    Definition Classes
      AnsiColor

22. #### final val WHITE: String("\033[37m")

    Foreground color for ANSI white

    Foreground color for ANSI white

    Definition Classes
      AnsiColor

23. #### final val WHITE_B: String("\033[47m")

    Background color for ANSI white

    Background color for ANSI white

    Definition Classes
      AnsiColor

24. #### final val YELLOW: String("\033[33m")

    Foreground color for ANSI yellow

    Foreground color for ANSI yellow

    Definition Classes
      AnsiColor

25. #### final val YELLOW_B: String("\033[43m")

    Background color for ANSI yellow

    Background color for ANSI yellow

    Definition Classes
      AnsiColor

26. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

27. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

28. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

29. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

30. #### def err: PrintStream

    The default error, can be overridden by `setErr`

31. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

32. #### def flush(): Unit

    Flushes the output stream.

    Flushes the output stream. This function is required when partial output (i.e. output not terminated by a newline character) has to be made visible on the terminal.

33. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

34. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

35. #### def in: BufferedReader

    The default input, can be overridden by `setIn`

36. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

37. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

38. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

39. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### def out: PrintStream

    The default output, can be overridden by `setOut`

41. #### def print(obj: Any): Unit

    Prints an object to `out` using its `toString` method.

    Prints an object to `out` using its `toString` method.

    obj

      the object to print; may be null.

42. #### def printf(text: String, args: Any*): Unit

    Prints its arguments as a formatted string to the default output, based on a string pattern (in a fashion similar to printf in C).

    Prints its arguments as a formatted string to the default output, based on a string pattern (in a fashion similar to printf in C).

    The interpretation of the formatting patterns is described in `java.util.Formatter`.

    text

      the pattern for formatting the arguments.

    args

      the arguments used to instantiating the pattern.

    Exceptions thrown

      `java.lang.IllegalArgumentException` if there was a problem with the format string or arguments

43. #### def println(x: Any): Unit

    Prints out an object to the default output, followed by a newline character.

    Prints out an object to the default output, followed by a newline character.

    x

      the object to print.

44. #### def println(): Unit

    Prints a newline character on the default output.

45. #### def setErrDirect(err: PrintStream): Unit

    Attributes
      protected
    Definition Classes
      Console → DeprecatedConsole

46. #### def setInDirect(in: BufferedReader): Unit

    Attributes
      protected
    Definition Classes
      Console → DeprecatedConsole

47. #### def setOutDirect(out: PrintStream): Unit

    Internal usage only.

    Internal usage only.

    Attributes
      protected
    Definition Classes
      Console → DeprecatedConsole

48. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

49. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

50. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

53. #### def withErr[T](err: OutputStream)(thunk: ⇒ T): T

    Sets the default error stream for the duration of execution of one thunk.

    Sets the default error stream for the duration of execution of one thunk.

    err

      the new error stream.

    thunk

      the code to execute with the new error stream active

    returns

      the results of `thunk`

    See also

      `withErr[T](err:PrintStream)(thunk: =>T)`

54. #### def withErr[T](err: PrintStream)(thunk: ⇒ T): T

    Set the default error stream for the duration of execution of one thunk.

    Set the default error stream for the duration of execution of one thunk.

    err

      the new error stream.

    thunk

      the code to execute with the new error stream active

    returns

      the results of `thunk`

    Example:

    1.     withErr(Console.out) { println("This goes to default _out_") }

    See also

      `withErr[T](err:OutputStream)(thunk: =>T)`

55. #### def withIn[T](in: InputStream)(thunk: ⇒ T): T

    Sets the default input stream for the duration of execution of one thunk.

    Sets the default input stream for the duration of execution of one thunk.

    in

      the new input stream.

    thunk

      the code to execute with the new input stream active

    returns

      the results of `thunk`

    See also

      `withIn[T](reader:Reader)(thunk: =>T)`

56. #### def withIn[T](reader: Reader)(thunk: ⇒ T): T

    Sets the default input stream for the duration of execution of one thunk.

    Sets the default input stream for the duration of execution of one thunk.

    thunk

      the code to execute with the new input stream active

    returns

      the results of `thunk`

    Example:

    1.     val someFile:Reader = openFile("file.txt")
           withIn(someFile) {
             // Reads a line from file.txt instead of default input
             println(readLine)
           }

    See also

      `withIn[T](in:InputStream)(thunk: =>T)`

57. #### def withOut[T](out: OutputStream)(thunk: ⇒ T): T

    Sets the default output stream for the duration of execution of one thunk.

    Sets the default output stream for the duration of execution of one thunk.

    out

      the new output stream.

    thunk

      the code to execute with the new output stream active

    returns

      the results of `thunk`

    See also

      `withOut[T](out:PrintStream)(thunk: => T)`

58. #### def withOut[T](out: PrintStream)(thunk: ⇒ T): T

    Sets the default output stream for the duration of execution of one thunk.

    Sets the default output stream for the duration of execution of one thunk.

    out

      the new output stream.

    thunk

      the code to execute with the new output stream active

    returns

      the results of `thunk`

    Example:

    1.     withOut(Console.err) { println("This goes to default _error_") }

    See also

      `withOut[T](out:OutputStream)(thunk: => T)`

### Deprecated Value Members

1. #### def readBoolean(): Boolean

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

2. #### def readByte(): Byte

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

3. #### def readChar(): Char

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

4. #### def readDouble(): Double

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

5. #### def readFloat(): Float

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

6. #### def readInt(): Int

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

7. #### def readLine(text: String, args: Any*): String

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

8. #### def readLine(): String

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

9. #### def readLong(): Long

   Definition Classes
     DeprecatedConsole
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use the method in scala.io.StdIn

10. #### def readShort(): Short

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use the method in scala.io.StdIn

11. #### def readf(format: String): List[Any]

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use the method in scala.io.StdIn

12. #### def readf1(format: String): Any

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use the method in scala.io.StdIn

13. #### def readf2(format: String): (Any, Any)

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use the method in scala.io.StdIn

14. #### def readf3(format: String): (Any, Any, Any)

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use the method in scala.io.StdIn

15. #### def setErr(err: OutputStream): Unit

    Sets the default error stream.

    Sets the default error stream.

    err

      the new error stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withErr

16. #### def setErr(err: PrintStream): Unit

    Sets the default error stream.

    Sets the default error stream.

    err

      the new error stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withErr

17. #### def setIn(in: InputStream): Unit

    Sets the default input stream.

    Sets the default input stream.

    in

      the new input stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withIn

18. #### def setIn(reader: Reader): Unit

    Sets the default input stream.

    Sets the default input stream.

    reader

      specifies the new input stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withIn

19. #### def setOut(out: OutputStream): Unit

    Sets the default output stream.

    Sets the default output stream.

    out

      the new output stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withOut

20. #### def setOut(out: PrintStream): Unit

    Sets the default output stream.

    Sets the default output stream.

    out

      the new output stream.

    Definition Classes
      DeprecatedConsole
    Annotations
      @deprecated
    Deprecated

      (Since version 2.11.0) Use withOut

### Inherited from AnsiColor

### Inherited from DeprecatedConsole

### Inherited from AnyRef

### Inherited from Any

### Ungrouped